Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler
Class SystemPropertyInterface

    java.lang.Object
      edu.udo.cs.miningmart.compiler.SystemPropertyInterface

    public class SystemPropertyInterface

extends java.lang.Object

Version:
  $Id: SystemPropertyInterface.java,v 1.4 2006/09/27 14:59:54 euler Exp $
Author:
  Martin Scholz

Field Summary
`static java.lang.String` | `NAME_COMPILER_HOME` Compiler directory containing operator binaries etc. in sub-directories
`static java.lang.String` | `NAME_DB_CONFIG` The path to the database configuration file
`static java.lang.String` | `NAME_M4I_PRINT_VERB` The print verbosity of the M4 interface
`static java.lang.String` | `NAME_MM_GLOBAL_HOME` The global MiningMart system directory
`static java.lang.String` | `NAME_MM_LOCAL_HOME` The user's local directory with write access
`static java.lang.String` | `NAME_MM_LOG` Directory plus file name prefix for compiler log-files.
`static java.lang.String` | `NAME_MM_TEMP` The user's temporary directory
`static java.lang.String` | `NAME_SPIN_HOME` Old reference alias still used by the HCI

Constructor Summary
`SystemPropertyInterface()`

Method Summary
`static java.lang.String` | `getProperty(java.lang.String name)` Service method to get a system property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_MM_GLOBAL_HOME

    public static final java.lang.String NAME_MM_GLOBAL_HOME

  The global MiningMart system directory

  See Also:
    Constant Field Values

### NAME_MM_LOCAL_HOME

    public static final java.lang.String NAME_MM_LOCAL_HOME

  The user's local directory with write access

  See Also:
    Constant Field Values

### NAME_MM_TEMP

    public static final java.lang.String NAME_MM_TEMP

  The user's temporary directory

  See Also:
    Constant Field Values

### NAME_MM_LOG

    public static final java.lang.String NAME_MM_LOG

  Directory plus file name prefix for compiler log-files.

  See Also:
    Constant Field Values

### NAME_M4I_PRINT_VERB

    public static final java.lang.String NAME_M4I_PRINT_VERB

  The print verbosity of the M4 interface

  See Also:
    Constant Field Values

### NAME_DB_CONFIG

    public static final java.lang.String NAME_DB_CONFIG

  The path to the database configuration file

  See Also:
    Constant Field Values

### NAME_SPIN_HOME

    public static final java.lang.String NAME_SPIN_HOME

  Old reference alias still used by the HCI

  See Also:
    Constant Field Values

### NAME_COMPILER_HOME

    public static final java.lang.String NAME_COMPILER_HOME

  Compiler directory containing operator binaries etc. in sub-directories

  See Also:
    Constant Field Values

Constructor Detail

### SystemPropertyInterface

    public SystemPropertyInterface()

Method Detail

### getProperty

    public static java.lang.String getProperty(java.lang.String name)

  Service method to get a system property. Does allow for calculating properties not explicitly set by the user.

  Parameters:
    `name` - the name of the system property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005